Package org.drinkless.tdlib

# Class TdApi.StorePaymentPurposePremiumSubscription

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StorePaymentPurpose
org.drinkless.tdlib.TdApi.StorePaymentPurposePremiumSubscription

Enclosing class:
  `TdApi`

public static class TdApi.StorePaymentPurposePremiumSubscription extends TdApi.StorePaymentPurpose
The user subscribing to Telegram Premium.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StorePaymentPurpose

  `TdApi.StorePaymentPurpose.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isRestore`
  Pass true if this is a restore of a Telegram Premium purchase; only for App Store.
  `boolean`
  `isUpgrade`
  Pass true if this is an upgrade from a monthly subscription to early subscription; only for App Store.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorePaymentPurposePremiumSubscription()`
  The user subscribing to Telegram Premium.
  `StorePaymentPurposePremiumSubscription(boolean isRestore, boolean isUpgrade)`
  The user subscribing to Telegram Premium.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isRestore

    public boolean isRestore
    Pass true if this is a restore of a Telegram Premium purchase; only for App Store.

  - ### isUpgrade

    public boolean isUpgrade
    Pass true if this is an upgrade from a monthly subscription to early subscription; only for App Store.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorePaymentPurposePremiumSubscription

    public StorePaymentPurposePremiumSubscription()
    The user subscribing to Telegram Premium.

  - ### StorePaymentPurposePremiumSubscription

    public StorePaymentPurposePremiumSubscription(boolean isRestore, boolean isUpgrade)
    The user subscribing to Telegram Premium.
    Parameters:
      `isRestore` - Pass true if this is a restore of a Telegram Premium purchase; only for App Store.
      `isUpgrade` - Pass true if this is an upgrade from a monthly subscription to early subscription; only for App Store.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StorePaymentPurpose`
    Returns:
      this.CONSTRUCTOR